<?php
###############################################################################
#
# -- DownloadManager - Admin -
#
# Autor   : Christian Simons
# E-mail  : info@simons-it.de
# www	  : http://www.simons-it.de
# Version : 1.0
###############################################################################
#
#   !!! In dieser Datei muss nichts verndert werden !!!
#
###############################################################################

include ("../includes/config.inc.php");
include ("../includes/mysqldb.class");
include ("../includes/simonsdb.class");


$db = new simonsdb(); 


$query = "SELECT COUNT(*), MAX(created) AS lastcreated from $downloadusertable WHERE usedfor='download'";
$db->query( $query );
$db->nextRecord();
$nrUsers = $db->f( "COUNT(*)" );

$query = "select COUNT(*) from $downloadusertable where created>=DATE_ADD(CURRENT_DATE,INTERVAL -24 HOUR) AND usedfor='download'";  
$db->query( $query );
$db->nextRecord();
$newUsersToday = $db->f( "COUNT(*)" );

$query = "select COUNT(*) from $downloadusertable where created>=DATE_ADD(CURRENT_DATE,INTERVAL -7 DAY) AND usedfor='download'";  
$db->query( $query );
$db->nextRecord();
$newUsersWeek = $db->f( "COUNT(*)" );

$query = "SELECT counter from $downloadtable WHERE id='1'";
$db->query( $query );
$db->nextRecord();
$nrEvent = $db->f( "counter" );

$query = "SELECT counter from $downloadtable WHERE id='2'";
$db->query( $query );
$db->nextRecord();
$nrBlack = $db->f( "counter" );

$query = "SELECT counter from $downloadtable WHERE id='3'";
$db->query( $query );
$db->nextRecord();
$nrWin = $db->f( "counter" );

$allDownloads = '';
$query = "SELECT * FROM $downloadtable ORDER BY counter DESC";
$db->query( $query );
while( $db->nextRecord() )
{
	$allDownloads .= '<TR><TD>'.$db->f( "name" ).'</TD><TD>'.$db->f( "pfad" ).'</TD><TD align="center">'.$db->f( "id" ).'</TD><TD align="center">'.$db->f( "counter" ).'x</TD></TR>' ;
}

             

?>
<HTML>
	<HEAD>
	<TITLE>DownloadManager &copy; Simons-IT</TITLE>
<!--
 #############################################
 #                                           #
 #   DownloadManager entwickelt von:         #
 #                                           #
 #    Simons-IT                              #
 #    Christian Simons                       #
 #    Heerstrasse 123                        #
 #    50169 Kerpen-Trnich                   #
 #    http://www.simons-it.de                #
 #    info@simons-it.de                      #
 #                                           #
 #############################################
 -->
	<style type="text/css">
	
	BODY{
		color: Black;
		font-size: 12px;
		line-height: 16px;
		background-color: #C0C0C0; 
		font-family: Verdana, Arial, Helvetica, Geneva, Swiss, SunSans-Regular;
	}
	TABLE, TR, TD {
		color: Black;
		font-size: 11px;
		line-height: 16px;
		/* background-color: #E0E0E0;  */
		font-family: Verdana, Arial, Helvetica, Geneva, Swiss, SunSans-Regular;
	}
	.link   { 	
		color: #4169e1; 
		vcolor: #4169e1;
		acolor: #4169e1;
		lcolor: #4169e1;
		font-weight: normal; 
		font-size: 11px; 
		line-height: 16px; 
		font-family: Verdana, Arial, Helvetica, Geneva, Swiss, SunSans-Regular;
		text-decoration: none;
	}
	</style>
	</HEAD>
<BODY marginwidth="70" marginheight="30" topmargin="30" leftmargin="70">
<U><b>DownloadManager von Simons-IT</b></U><BR><BR><BR>
<TABLE WIDTH="600" BORDER="0" cellspacing=0 cellpadding=2 ALIGN="left">
<TR>
	<TD>
		<B>Userstatistik:</B><BR>
		<TABLE WIDTH="250" BORDER="1" BORDERCOLOR="#9fb3c5" bgcolor="#E0E0E0" cellspacing=0 cellpadding=2 ALIGN="left">
		<TR>
			<TD>Gesamtanmeldungen</TD>
			<TD align="center" width="60"><? echo $nrUsers;?></TD>
		</TR>
		<TR>
			<TD>Neuanmeldungen 24h</TD>
			<TD align="center" width="60"><? echo $newUsersToday;?></TD>
		</TR>
		<TR>
			<TD>Neuanmeldungen 7 Tage</TD>
			<TD align="center" width="60"><? echo $newUsersWeek;?></TD>
		</TR>
		</TABLE>
	</TD>
</TR>
<TR>
	<TD>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="userstats.php"><span class="link">- alle User anzeigen -</span></a><BR>&nbsp;
	</TD>
</TR>
<TR>
	<TD>
		<B>Downloadstatistik:</B><BR>
		<TABLE WIDTH="600" BORDER="1" BORDERCOLOR="#9fb3c5" bgcolor="#E0E0E0" cellspacing=0 cellpadding=2 ALIGN="left">
		<TR>
			<TD><B>Produktname</B></TD>
			<TD><B>Pfad zum Download</B></TD>
			<TD><B>DownloadId</B></TD>
			<TD><B>Downloads</B></TD>
		</TR>
		<? echo $allDownloads; ?>
		</TABLE>
	</TD>
</TR>
<TR>
	<TD align="right">
		<U>Link zum Download:</U> download.php?id=[DownloadId]<BR>&nbsp;
	</TD>
</TR>
<TR>
	<TD>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="downloadoperate.php"><span class="link">- Download hinzufgen -</span></a>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="downloadoperate.php?action=searchfordel"><span class="link">- Download lschen -</span></a>
	</TD>
</TR>
<TR>
	<TD align="right">
		&nbsp;<BR>&nbsp;<BR>&nbsp;
		<a href="http://www.simons-it.de" target="_blank" onmouseover="status='&copy; www.Simons-IT.de'; return true;" onmouseout="window.status='';return true"><img src="simonsit.gif" border="0" align="center" valing="middle" alt="&copy; www.Simons-IT.de"></a>
	</TD>
</TR>
</TABLE>
</BODY>
</HTML>