#
# Tabellenstruktur fr Tabelle `simonsit_downloadcounter`
#

CREATE TABLE simonsit_downloadcounter (
  userid int(11) NOT NULL default '0',
  downloadid int(11) NOT NULL default '0',
  wann datetime NOT NULL default '0000-00-00 00:00:00'
) TYPE=MyISAM;

#
# Daten fr Tabelle `simonsit_downloadcounter`
#

INSERT INTO simonsit_downloadcounter (userid, downloadid, wann) VALUES (1, 1, '2002-08-23 11:33:50');
INSERT INTO simonsit_downloadcounter (userid, downloadid, wann) VALUES (1, 1, '2002-08-23 11:37:35');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `simonsit_downloads`
#

CREATE TABLE simonsit_downloads (
  id tinyint(4) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  pfad varchar(255) NOT NULL default '',
  size int(20) NOT NULL default '0',
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Daten fr Tabelle `simonsit_downloads`
#

INSERT INTO simonsit_downloads (id, name, pfad, size, counter) VALUES ('1', 'Testfile', './mydownloads/testfile.zip', 173, 2);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `simonsit_downloaduser`
#

CREATE TABLE simonsit_downloaduser (
  userid int(11) NOT NULL auto_increment,
  email varchar(255) NOT NULL default '',
  passwd varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  page varchar(255) NOT NULL default '',
  street varchar(255) NOT NULL default '',
  city varchar(255) NOT NULL default '',
  phone varchar(255) NOT NULL default '',
  usedfor varchar(255) NOT NULL default '',
  created timestamp(14) NOT NULL,
  PRIMARY KEY  (userid)
) TYPE=MyISAM;

#
# Daten fr Tabelle `simonsit_downloaduser`
#

INSERT INTO simonsit_downloaduser (userid, email, passwd, name, page, street, city, phone, usedfor, created) VALUES (1, 'downloadmanager@simons-it.de', 'YFbUJrx', 'Christian Simons', 'www.simons-it.de', 'Heerstrasse 123', '50169 Kerpen', '', 'download', 20020823113205);

